io.milvus.connection

## Class ServerMonitor

- java.lang.Object
- - io.milvus.connection.ServerMonitor

-     public class ServerMonitor
      extends java.lang.Object

  Monitor with scheduling to check server healthy state.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerMonitor(ClusterFactory clusterFactory, QueryNodeSingleSearch queryNodeSingleSearch)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `start()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerMonitor

          public ServerMonitor(ClusterFactory clusterFactory,
                               QueryNodeSingleSearch queryNodeSingleSearch)

  - ### Method Detail

    - #### start

          public void start()

    - #### close

          public void close()